Bug 185906 - databases/slony1v2 -- fix build with poudriere and non-default postgresql version, etc
Summary: databases/slony1v2 -- fix build with poudriere and non-default postgresql ver...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jimmy Olgeni
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-20 12:40 UTC by Matthew Seaman
Modified: 2015-04-07 22:00 UTC (History)
1 user (show)

See Also:


Attachments
slony1v2.diff (2.19 KB, patch)
2014-01-20 12:40 UTC, Matthew Seaman
no flags Details | Diff
Updated patch (1.81 KB, text/plain)
2015-04-06 11:12 UTC, Matthew Seaman
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Seaman freebsd_committer 2014-01-20 12:40:00 UTC

How-To-Repeat: 
Update the port to use various more recent constructs, with the
benefit that it makes it possible to build a pkg against a non-default
postgresql version using poudriere

     * USES=pgsql -- use the standard ports methods for deciding what
       postgresql version to compile against, instead of DiY code
     * while here, OPTIONS helpers
     * Pass ${PERL} through to configure to prevent 'make stage-qa'
       complaining about files that need to be shebangfixed.
     * USES=shebangfix for the one perl script that doesn't get its
       #! line set correctly by the above during the build process

There are still a number of warnings about unstripped binaries
generated with DEVELOPER=yes in /etc/make.conf which I haven't fixed
here.
Comment 1 Edwin Groothuis freebsd_committer 2014-01-20 12:40:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->olgeni

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Bartek Rutkowski freebsd_committer 2015-04-01 21:01:37 UTC
The patch fails to apply cleanly to the current port version, could you please update it and submit again so I could review, test and commit it?
Comment 3 Matthew Seaman freebsd_committer 2015-04-06 11:12:14 UTC
Created attachment 155224 [details]
Updated patch

As requested, update the patch for a current ports tree.

Most of the changes had already been applied.  The remaining bits are:

   * Use OPTIONS helpers for the PERLTOOLS option
   * Remove a redundant block of code for setting PGSQL_VER: this
     functionality is already supplied via 'USES+= pgsql'

Cheers,

    Matthew
Comment 4 commit-hook freebsd_committer 2015-04-07 21:59:32 UTC
A commit references this bug:

Author: robak
Date: Tue Apr  7 21:58:57 UTC 2015
New revision: 383543
URL: https://svnweb.freebsd.org/changeset/ports/383543

Log:
  databases/slony1v2: port cleanup

  - Use OPTIONS helpers for the PERLTOOLS option
  - Remove a redundant block of code for setting PGSQL_VER: this
    functionality is already supplied via 'USES+= pgsql'
  - Maintainer's timeout (olgeni@FreeBSD.org)

  PR:		185906
  Submitted by:	Matthew Seaman <matthew@FreeBSD.org>

Changes:
  head/databases/slony1v2/Makefile
Comment 5 Bartek Rutkowski freebsd_committer 2015-04-07 22:00:16 UTC
Committed, thanks for your work!